/*************************************************************************
Author:   	$Author: dennis $
File:     	$HeadURL: file:///home/dennis/svn-store/avr-source/mptry-1/spi.h $
Date:  		$Date: 2008-09-14 18:24:25 +0200 (So, 14 Sep 2008) $ 
Revision: 	$Revision: 103 $ 
Id: 		$Id: spi.h 103 2008-09-14 16:24:25Z dennis $ 
Licence:	GNU General Public License
 *************************************************************************/
/** 
 *  @defgroup util utilities
 *  @code #include <delay.h> @endcode
 * 
 *  @brief delay implementation for AVR
 *
 *  delay implementation.  
 *
 *  @author Dennis Dingeldein  http://www.dingeldein-online.de
 *
 *
 * \section Licence
 * This code can be used according to GNU General Public License.
 * 
 * \author 
 * Dennis Dingeldein
 */

/**
 * \addtogroup util
 *
 * @{
 */
/**
 * \file
 * delay implementation
 */

#ifndef DELAY_H_
#define DELAY_H_

#include <stdint.h>


#define MAXUINT16 32000
extern void dd_delay( uint16_t n ) ;

#endif /*DELAY_H_*/
