/*
 * eeprom.c
 *
 *  Created on: 14.10.2008
 *      Author: dennis
 */

#include "eeprom.h"

#ifdef LATER
void eeprom_write( uint16_t address, uint8_t value ) {

	while (EECR & (1<<EEWE))
		;

	// set up address and data reisters
	EEAR = address;
	EEDR = value;

	// write logical one to EEMWE
	EECR |= (1 << EEMWE);
	// start eeprom write by setting EEWE
	EECR |= (1 << EEWE);
}
uint8_t eeprom_read( uint16_t address ) {

	while (EECR & (1<<EEWE))
		;

	// set up address
	EEAR = address;

	// write logical one to EERE
	EECR |= (1 << EERE);
	// start eeprom write by setting EEWE
	EECR |= (1 << EEDR);
}
#endif
