#ifndef PLAYER_H_
#define PLAYER_H_

// player states
#define S_IDLE   0x01
#define S_PLAY   0x02
#define S_PAUSE  0x04
#define S_BROWSE 0x10

// player events
#define EV_NONE  			0
#define EV_EOF  			1
#define EV_NEXT 			2
#define EV_RESTART 		3
#define EV_BROWSE_UP  		4
#define EV_BROWSE_DOWN  	5
#define EV_BROWSE_LEFT  	6
#define EV_BROWSE_RIGHT  	7
#define EV_BROWSE_OK  		8

//#include "fat16.h"
//#include "partition.h"

// player
typedef struct {
	uint8_t state;
	uint8_t last_event;
	uint8_t volume;
} Player_t;

// global player var
extern volatile Player_t player;

#endif /*PLAYER_H_*/
